﻿Option Explicit On
Option Strict On
Option Infer On

Imports System.Data
Imports System.Data.Linq
Imports System.Data.Linq.Provider
Imports System.Reflection

Partial Public Class NwindLINQDataContext
    Inherits Global.System.Data.Linq.DataContext

    Private Sub InsertOrder_(ByVal current As Order_)
        Me.uspInsertOrder(current.CustomerID, current.EmployeeID, current.OrderDate, current.RequiredDate, current.ShippedDate, current.ShipVia, current.Freight, current.ShipName, current.ShipAddress, current.ShipCity, current.ShipRegion, current.ShipPostalCode, current.ShipCountry, current.OrderID)
    End Sub

    Private Sub UpdateOrder_(ByVal current As Order_, ByVal original As Order_)
        Me.uspUpdateOrder(current.CustomerID, current.EmployeeID, current.OrderDate, current.RequiredDate, current.ShippedDate, current.ShipVia, current.Freight, current.ShipName, current.ShipAddress, current.ShipCity, current.ShipRegion, current.ShipPostalCode, current.ShipCountry, original.OrderID, original.TimeStamp)
    End Sub

    Private Sub DeleteOrder_(ByVal original As Order_)
        Me.uspDeleteOrder(original.OrderID, original.TimeStamp)
    End Sub

    <StoredProcedure(Name:="dbo.uspGetCustomersByCountry")> _
      <ResultType(GetType(Customer))> _
    Public Function GetCustomersByCountry(<Parameter(Name:="@Country")> ByVal Country As String) As IMultipleResults
        Dim result As IExecuteResults = Me.ExecuteMethodCallWithMultipleResults(Me, CType(MethodInfo.GetCurrentMethod, MethodInfo), Country)
        Return CType(result, IMultipleResults)
    End Function

End Class

